{
  "format_version": "1.16.0",
  "minecraft:entity": {
    "description": {
      "identifier": "vtng_id:item_entity",
      "is_spawnable": false,
      "is_summonable": true,
      "is_experimental": false,
      "properties": {
        "vtng_id:rotation": {
          "client_sync": true,
          "type": "int",
          "default": 0,
          "range": [0, 360]
        },
        "vtng_id:type": {
          "client_sync": true,
          "type": "int",
          "default": 0,
          "range": [0, 1]
        }
      }
    },
    "component_groups": {
      "vtng_id:despawn_component": {
        "minecraft:instant_despawn": {}
      }
    },
    "components": {
      "minecraft:inventory": {
        "restrict_to_owner": true,
        "container_type": "inventory",
        "inventory_size": 2,
        "can_be_siphoned_from": false
      },
      "minecraft:equippable": {},
      "minecraft:type_family": {
        "family": ["chest", "inanimate"]
      },
      "minecraft:collision_box": {
        "height": 0.0,
        "width": 0.0
      },
      "minecraft:health": {
        "value": 1
      },
      "minecraft:damage_sensor": {
        "triggers": {
          "cause": "all",
          "deals_damage": false
        }
      },
      "minecraft:fire_immune": {}
    },
    "events": {
      "vtng_id:despawn_event": {
        "queue_command": {
            "command": "scriptevent vtng_id:item_despawn"
        }
      }
    }
  }
}
